So I gather the core duo, and the first core2 duo (macbook version2) are compatible?